# 78. Poizvedba: Najdi "Fields" po "externalKey"

Poiščite "Polja" po ključu externalKey tretje osebe, vnešenem med postopkom registracije "Polja".

### <mark style="color:oranžna;">MOŽNOST 1</mark> uporaba poizvedbe getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba FindFieldsByExternalKeyOption1 {
  getFields(filter: {
    fieldExternalKey: "<identifikator_tretje_osebe>"
  }) {
    skupnoŠtevilo
    polja {
      uuid
      ime
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:oranžna;">MOŽNOST 2</mark> uporaba poizvedbe getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<identifikator_tretje_osebe>"]) {
      uuid
      ime
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/78.-poizvedba-najdi-fields-po-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
